httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joshua Slive" <jos...@slive.ca>
Subject Re: [users@httpd] .htaccess/Expires/Cache-Control: 500 error
Date Mon, 22 Oct 2007 14:06:23 GMT
On 10/22/07, Jonathan Hayward http://JonathansCorner.com
<christos.jonathan.hayward@gmail.com> wrote:
> Sorry for not replying earlier...
>
> Is Header version-specific? The error message in the log is "...Invalid
> command 'Header,' perhaps misspelled or defined by a module not included in
> the server configuration".

Right. So the whole regex/date thing was a wild goose chase. Always
start by checking the error_log.

>
> What module(s) need to be installed? The server is an Apache 2 under Linux;
> if more version information is helpful, what do I run to get the version?

You need the module mod_headers, which is included in every apache
version but is obviously not loaded in your version. Check your
LoadModule directives.

Joshua.

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message